manila (1:13.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Jan 2022 17:39:59 +0100

manila (1:13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:11:49 +0200

manila (1:13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix oslo-config-generator namespace list.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:25:42 +0200

manila (1:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 15:50:46 +0200

manila (1:12.0.0-3) unstable; urgency=medium

  * Add python3-rados and python3-ceph-argparse as hard depends of
    manila-share.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:17:54 +0200

manila (1:12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:28:14 +0200

manila (1:12.0.0~rc1-1) experimental; urgency=medium

  * Tune manila-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * debhelper-compat 11.
  * Fixed (build-)depends for this release.
  * Removed python-3.9-use-encodebytes-not-encodestring.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 00:08:01 +0100

manila (1:11.0.0-2) unstable; urgency=medium

  * Fix cannot stat '/usr/share/manila-common/policy.json'

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 26 Oct 2020 12:10:05 +0100

manila (1:11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Add python-3.9-use-encodebytes-not-encodestring.patch.
  * Blacklist failing infinidat tests (I don't care about this proprietary
    driver anyways).
  * Removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 17:04:27 +0200

manila (1:11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Now using a yaml policy file in /etc/manila/policy.d.
  * Switch manila-api to use uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 17:03:45 +0200

manila (1:10.0.0-2) unstable; urgency=medium

  * d/patches: install-missing-files.patch
    - Recursive include all files, missing drivers/ganesha/conf

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 03 Jun 2020 13:47:46 +0200

manila (1:10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:46:22 +0200

manila (1:10.0.0~rc2-2) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 14:03:17 +0200

manila (1:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - CVE-2020-9543_share_networks_enable_project_only_API_only.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 16:20:46 +0200

manila (1:9.0.0-5) unstable; urgency=medium

  * CVE-2020-9543: Manila allows other project users to view, update, delete,
    or share resources that do not belong to them. Applied upstream patch:
    share_networks: enable project_only API only (Closes: #953581).
  * Blacklist a series of tests which fails with the newer SQLAlchemy.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Mar 2020 09:26:00 +0100

manila (1:9.0.0-3) unstable; urgency=medium

  * Blacklist test_hacking.HackingTestCase.test_logging_with_tuple_argument.*
    which is failing. (Closes: #951956).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 16:27:01 +0100

manila (1:9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 14:01:18 +0200

manila (1:9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:33:01 +0200

manila (1:9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 12:15:47 +0200

manila (1:8.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 19:19:27 +0200

manila (1:8.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 12:14:45 +0200

manila (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:48:58 +0200

manila (1:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Add oslo.upgradecheck as (build-)depends.
  * Removed python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 23:31:59 +0100

manila (1:7.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Malihe and Andreas from uploaders.
  * Fixed typo in manila-share.init.in (Closes: #902014).
  * Add manila-data binary and init template (Closes: #902013).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:53:37 +0200

manila (1:6.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:49:49 +0000

manila (1:6.0.0-1) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 08:50:52 +0000

manila (1:6.0.0~rc3-1) unstable; urgency=medium

  * New upstream RC release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 16:20:45 +0000

manila (1:6.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_test.
  * Switched to Python 3.
  * Blacklist all share.drivers.dell_emc tests: they are failing in Py3.
  * Generate policy.yaml with oslopolicy-sample-generator.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 13:09:06 +0000

manila (1:5.0.1-3) unstable; urgency=medium

  * Add explicit depends on e2fsprogs (Closes: #887193).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:03:41 +0100

manila (1:5.0.1-2) unstable; urgency=medium

  * Do not delete search.html, making build reproducible (Closes: #861896).
  * Remove /usr/lib from manila-api (Closes: #880374).
  * Updated pt.po (Closes: #876175).
  * Uploading to unstable:
    - Fixed FTBFS (Closes: #871337).
  * Removed dh-systemd build-depends.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:34:59 +0000

manila (1:5.0.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Some clean-ups.
  * Drop SQLAlchemy version patch.
  * Black list cmd.test_manage.ManilaCmdManageTestCase.test_run_ipython which
    is failing.
  * Add python-manila.install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Oct 2017 00:18:39 +0200

manila (1:3.0.0-5) unstable; urgency=medium

  * German debconf translation update (Closes: #842485).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 18:15:18 +0200

manila (1:3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858704).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:51:11 +0200

manila (1:3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add missing dependency (Closes: #858704).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 12:46:57 +0100

manila (1:3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:36:39 +0100

manila (1:3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:53:26 +0200

manila (1:3.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed olsotest EPOCH.
  * Fixed oslo-config-generator namespaces.
  * Debconf translation:
    - it (Closes: #838512).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:56:39 +0200

manila (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Removed skipped-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2016 19:47:24 +0200

manila (1:3.0.0~b2-2) experimental; urgency=medium

  * Added python-pep8 to build depends (Closes: #834839)

 -- Ondřej Nový <onovy@debian.org>  Fri, 19 Aug 2016 23:40:21 +0200

manila (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated Danish translation of the debconf templates (Closes: #830648).
  * Build-Conflicts: with bpython.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 21:56:18 +0200

manila (1:3.0.0~b1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-tempest.conf-generation.patch applied upstream.
  * rm -f search.html in generated docs to avoid FTBFS with the error
    message: "doesn't look like a Sphinx search page".

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Jun 2016 18:10:45 +0200

manila (1:2.0.0-4) unstable; urgency=medium

  * Fix the tempest.conf generation patch.
  * Updated Brazilian Portuguese debconf templates (Closes: #820252).
  * Updated Dutch debconf templates (Closes: #823255).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Apr 2016 03:18:57 +0000

manila (1:2.0.0-3) unstable; urgency=medium

  * Japanese debconf templates translation update (Closes: #820766).
  * Fix tempest.conf generation.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 22:07:00 +0000

manila (1:2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change).

  [ Thomas Goirand ]
  * Do not use manila/keystone_auth_token, but the admin credentials instead.
  * Build-depends on openstack-pkg-tools >= 42 to ensure default shell is
    /bin/false by default.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 20:38:31 +0000

manila (1:2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:39:59 +0200

manila (1:2.0.0~rc1-5) unstable; urgency=medium

  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #819133).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:00:15 +0200

manila (1:2.0.0~rc1-4) experimental; urgency=medium

  * Wrong template names nova->manila.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 14:05:16 +0000

manila (1:2.0.0~rc1-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:41:24 +0000

manila (1:2.0.0~rc1-2) experimental; urgency=medium

  * Adds install-missing-files.patch as PBR is (as always) missing the Alembic
    files.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2016 11:47:17 +0100

manila (1:2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed pylxd import patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:07:15 +0100

manila (1:2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added fix-lxd-exceptions-import.patch.
  * Standards-Version: 3.9.7 (no change).
  * Build-Conflicts: ipython.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Mar 2016 22:45:43 +0800

manila (1:2.0.0~b2-2) experimental; urgency=medium

  * Build-depends on git to fix sphinx-build.
  * Updated fr.po and nl.po debconf translation (Closes: #807765, #812352).
  * Using $(CURDIR)/debian/tmp for generating config files.
  * Better config file generation.
  * Removed volume_group from manila-common.templates.
  * VCS urls using https.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2016 16:39:33 +0800

manila (1:2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Fixed config file generation namespace list.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 10:58:35 +0100

manila (1:1.0.0-6) unstable; urgency=medium

  * Import .po files from Glance (Closes: #804948).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:53:16 +0100

manila (1:1.0.0-5) unstable; urgency=medium

  * Correctly purge the package (Closes: #803444).
  * Configures keystone_authtoken, rabbit, db and API endpoint using debconf.
  * Fixes missing alembic.ini.
  * Fixed default manila.conf generation (it was wrong, missing some options,
    and wrong defaults like lock_path and auth_protocol).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Nov 2015 15:19:53 +0100

manila (1:1.0.0-4) unstable; urgency=medium

  * Added q-text-as-data in depends of manila-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:47:31 +0000

manila (1:1.0.0-3) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:34:45 +0000

manila (1:1.0.0-2) unstable; urgency=medium

  * Added -p flag when doing mkdir /var/lib/manila/volumes (Closes: #802319).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 18:08:15 +0200

manila (1:1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Align the EPOCH with the Ubuntu version.
  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 15:03:45 +0200

manila (1.0.0~rc1-2) experimental; urgency=medium

  * Do not duplicate /usr/bin/manila-scheduler in both -common and -scheduler
    packages (Closes: #801101).

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Oct 2015 14:20:36 +0000

manila (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Now manila-api depends on python-openstackclient.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:02:31 +0000

manila (1.0.0~b3-1) experimental; urgency=medium

  * Initial release (Closes: #789660).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2015 11:02:32 +0200
